# Nuxt Dev/Build/Output
.nuxt
.output
.data
.nitro
.cache
dist

# Node Modules
node_modules
*_node_modules
jspm_packages

# Logs
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

# Environment Variables
.env
.env.production
.env.development
.env.local
*.env
*.env.*

# Testing
coverage
.nyc_output

# Editor/OS Files
.DS_Store
.idea
.vscode
*.suo
*.ntvs
*.njsproj
*.sln
*.sw?
thumbs.db

# Lock files (optional, recommended to keep package-lock.json but ignore others if mixed)
# yarn.lock
# pnpm-lock.yaml
